Introduction

 Top Next

Welcome to Advanced WindowsCare 2 Personal !

The Innovative and World Leading Utility to Maintain Your Computers

Congratulations!

You have selected Advanced WindowsCare 2 Personal, all-in-one free tool protecting, repairing and speeding up your PC. Advanced WindowsCare 2 Personal introduces a new way to maintain your computer: all work is done with one-click per day. With the advanced intuitive design and state-of-art computer technology, your experience will be made truly different.

"3 Clicks from Diagnosis to Solution, Wow!"

"In this day and age, productivity is the name of the game, and time constraints is always a major incumbrance in meeting deadlines. This programme certainly helps improve one’s productivity by eliminating the need for time consuming processes to ensure optimum PC operatibility, especially since the programme performs as intended. I do not want to be concerned with what went wrong, or how to fix it… I need peace of mind that my machine is being CARED for, leaving me to focus on the job at hand. You programme certainly does that, thank you very much!"

Kind regards

Tollie Botha

Copyright copy 2005-2006 IObit. All rights reserved.


What is Advanced WindowsCare 2 Personal?

 Top Previous Next

One-click Per Day.

Advanced WindowsCare v2 Personal is a comprehensive PC care tool that takes an integrated approach to help protect, repair and optimize your computer. It provides an One-Click and All-In-One solution for PC maintenance and protection. This novel service is totally free. Best Choice for Computer Novices, Windows Beginners or Lazy IT Experts.

Compared with its nearest competitor, Advanced WindowsCare v2 Personal provides the more essential and practical formula for Windows.

100% Freeware

Removing Spyware and Adware

Preventing Security Threats

Privacy Protection

Fixing Registry Errors

Temporary Files Cleanup

Startup Cleanup

Repairing Windows

Speeding up System

Benefits

Super Easy to Use

- Finishes all Work with one click.

- Scans and cures your whole system within one minute.

Protects Your PC

- Scans and removes spyware and adware with the latest definition.

- Prevents spyware, hijackers and bad websites from being installed.

- Erases the history of all activities in your computer.

Repairs and Maintains Your PC

- Scans and fixes invalid and improper registry entries.

- Detects and removes invalid startup items.

- Repairs system configurations, eliminates system bottlenecks and prevents crashes.

Improves Your PC Performance

- Searches and cleans up unused Windows garbage.

- Tunes up Windows to improve both system and Internet performance, unleashes the power of your Windows.

More...

- Provides with extra useful system tools.

- Analyzes and shows detailed information of hardware and Windows.


Product Features

Advanced WindowsCare v2 Personal introduces a new way to maintain your computer: all work is done with one-click per day. With the advanced intuitive design and state-of-art computer technology, the user experience is made truly different.

No more using various software and tools to take care of your computers. Advanced WindowsCare v2 Personal does all work for you.

No need to be an IT expert or geek. Just one click.

No more worrying about false operation or bad settings. Restore Center is always active to automatically backup all of your changes. Restore your system at any time if need be.

No more long-time work. With X-FAST technology, Advanced WindowsCare v2 Personal finishes all work within 1 or 2 minutes.

No more deleting system files and damaging registry entries. Using X-SAFE technology, Advanced WindowsCare v2 Personal identifies files and cleans your Windows in a smart and safe way.

No more slowing down, freezing and crash. Advanced WindowsCare v2 Personal accurately detects and repairs the bottlenecks, dramatically speeds up your system.

No need to discarding other well-working system utilities. Advanced WindowsCare v2 Personal only focus on what it is good at, leaving other professional tools do their jobs.

No need to cost you dollars. Advanced WindowsCare v2 Personal is free of charge.


What's New in Advanced WindowsCare 2 Personal?

Exclusive Technologies

X-FAST, using parallel computing and multithread technology, provides the world-leading speed for scan, repair and optimizing.

X-DEEP thoroughly examines Windows system, accurately detects the bottlenecks slowing down and crashing your computer, automatically finds the best ways to fix them.

X-SAFE promises to avoid deleting system files and damaging registry entries with trust area and black list technology.

X-EASY makes sure that various scalable functions be executed within 1 working cycle. This technology highly simplifies operation of traditional system utilities.

X-RESTORE is always active to automatically backup all of your changes in background, fully supporting Windows XP Restore function.

Update History

Official Version 2.00

+ Adjusted and improved whole interface

* Fixed beta bugs

======================

Beta 3.7

+ Added support for home network with domain

+ Added a control of balloon tips

+ Improved each functional module

+ Improved options control

+ Improved Add-ons module

+ Improved program interface

* Fixed splash display error

* Fixed several description errors

* Fixed general bugs

Beta 3.62

* Fixed a bug in AutoCare function

* Fixed several internal bugs

Beta 3.61

* Fixed bugs in "System Analysis" Module

* Fixed bugs in "Registry Scan" Module

* Updated the database

Beta 3.6

+ Added a memory-clean tool

+ Improved auto-update function

+ Improved Ignore List

+ Adjusted menu placement

* Fixed bugs in "System Analysis" Module

* Fixed the bug in Installation

* Fixed general bugs

Beta 3.5

+ Added an improved IgnoreList

+ Added supports for FireFox and Opera

+ Added pre-subscribe link

+ Improved "Restore Center" module

+ Improved scan engine

* Fixed general bugs

* Updated the database

Beta 3.1

+ Improved install and program interface

+ Added auto-uninstalling previous version function

+ Improved "Restore Center" module

+ Added new optimization entries to "System Analysis" module

+ Changed the "Online Virus Scan" link

+ Linked "Help" with "Support" web page

+ Added online search function to "Startup Manager"

* Fixed bugs with Canon Utilities

* Fixed general bugs

* Updated the database

Beta 3.02

+ Added new entries to "System Analysis" function

+ Added an "Online Virus Scan" link

+ Added multi-selecting function to "Startup Manager"

* Fixed a bug in "System Analysis" module

* Fixed a bug in "Program Settings"

* Updated the database

Beta 3.0

+ Applied X-FAST technology that provides world-leading speed for scan, repair and optimizing.

+ Applied X-RESTORE technology, always active to automatically backup all of your changes in background, fully supporting Windows XP Restore function.

+ Applied X-AUTO technology, making all jobs work automatically and quietly in the background.

+ Added multi-language support

+ Added program theme function

+ Improved "System Analysis" module

* Fixed bugs in previous versions

* Updated the database

Beta 2.10

+ Added a setting guide in the Install module

+ Added scheduled AutoCare function

+ Improved "RestoreCenter" function

* Fixed a serious bug in "System Analysis"

* Fixed bugs in "AutoCare" module

* Fixed 120DPI bug with interface display

* Fixed "START" menu and desktop bugs

* Improved some description in the program

* Improved "Startup Scan" module

* Updated the database

Beta 2.0

+ Rewrote Most Codes and Improved All Functions

+ Added Many New Functions and Features

+ Improved Program Engine

* Fixed Most Bugs

+ Now, Beta 2.0 can work in background at a scheduled time, can be auto updated, can provide you with more useful system tools, can protect, diagnose and optimize your computer more accurately and completely.

Beta 1.1

+Improved Registry Scan module(Added a scan item)

+Improved Startup Manager

*Fixed bug in creating system restore point

*Fixed bug in System Analysis module

*Fixeded bug in Temporary File Scan module

*Fixeded bug in program initialization

*Fixeded Windows sound solution bug

*Modified program interface

*Fixeded bug in startup item restore

Beta 1.0

Advanced WindowsCare 2 Beta released


System Requirements

Processor: P166 or better

RAM: 64 MB of RAM available

Hard Disk: 35 MB free space (minimal configuration)

Operating Systems:

Windows 2000 Pro

Windows XP Home

Windows XP Pro

Windows XP (Home/Professional)

Other: Internet Explorer version 5.5 or higher


Main Status Screen


Working Window Screen


Restore Center


Settings


Download and Install

How to download

Advanced WindowsCare 2 Personal can be downloaded from one of IObit Website. Download links are available at IObit website*.

Select a mirror site and click on the link to go to that website. Locate the download link and click on it to start the download.

* You must be connected to the Internet to access this link

How to install

Before installing Advanced WindowsCare 2 Personal on Windows 2000 or XP, please ensure that you have administrative rights. Advanced WindowsCare 2 Personal must be installed in an account that has adequate permissions to perform its function. If you are unsure if you have the requisite permissions please contact your system administrator or refer to your computer's user guide before proceeding.

1. Start installation

When the download is completed, double-click on the setup file to start the installation.

2. Welcome Screen

Press "Next" to continue to the license Agreement Screen

Please read the license agreement before you proceed. When you have completed reviewing the agreement and if you agree to the terms, click the checkbox next to "I accept the license agreement" and press "Next" to continue with the installation of the software.

3. Uninstall previous versions of Advanced WindowsCare 2

Advanced WindowsCare 2 Personal may not function correctly if old versions are not removed prior to installing a new version or an upgrade. To ensure proper installation and operation of Advanced WindowsCare 2 Personal please make sure you exit current running version of Advanced WindowsCare 2 and perform a uninstall firstly.

4. Destination Location

Click "Next" to accept the default location or use "Browse" to specify where you want Advanced WindowsCare 2 Personal installed.

5. Install to All Users menu

If you have multiple user accounts on your system choose "Anyone who uses this computer" and click "Next".

6. Start Installation

Click "Next" to start installing Advanced WindowsCare 2 Personal onto your computer.After the copying of files you will get a confirmation that the installation was successful.

7. Installation successful

Click "Finish" to complete the installation process.


Update Database

The database file is the core component to execute all functions of Advanced WindowsCare 2 Personal. To make sure your computer is kept in the best status the database file needs to be updated regularly.

To start Auto Update click the "Update" in the "Options" menu or use the "Update Now" link on the Main Status screen. Click "Next>" to check if a new database file is available. If a new file is available click "OK" to download it. (The file will automatically be stored to the correct location on your computer.)


Change Language

You can change the interface of the program to your language by installing the Language Pack for Advanced WindowsCare 2 Personal.

1. Click the "Options" quick launch button at the top right of the interface

2. Click "Settings"

3. Click "Interface Config"

4. Select the language of your choice

5. Click "OK"

6. Exit program and open it again


Changing Program Skin

You can change the look of the program by changing skins.

1. Click the "Options" quick launch button at the top right of the interface

2. Click "Settings"

3. Click "Interface Config"

4. Select the skin of your choice

5. Click "OK"


What is the Restore Center?

Advanced WindowsCare 2 has the most advanced and convenient backup and restore technology. It uses 3 ways (for Windows XP) to protect your system:

1) X-RESTORE is always active to automatically backup all of your changes in background. Just one click in RestoreCenter, you can undo all of your changes if need be.

2) Every time you firstly use the program or an updated version, a new restore point of Windows XP will be created automatically for you.

3) You can quickly use RestoreCenter to create a restore point manually at any time you like.


What is the Ignore List?

In the right-click menu on any item in "Show details" Window, you can use "Add to IgnoreList" to add the item that you trust to the Ignore List. In future scan, this startup item will be skipped.

Click "Ignore List" button ignorebutton to go into Ignore List Windows. You can manage your ignored items here.


Performing Your First Scan

1) Before you scan your computer with Advanced WindowsCare 2 Personal for the first time you should run Auto Update to make sure that you have the latest database file.

2) In the main status Window, click "Start" button to go into working window.

3) Check function modules you want and click "Scan" to perform a diagnosis.

4) After the scan, you can click "Show details" of each module to see the detailed report and add certain items to Ignore List.

Click "Care" to repair all problems. Before performing care function, all changes will be automatically saved in Restore Center for possible future roll back.


Purchasing Additional Solutions from IObit

Please see the following for links to our purchase pages, customer care center, and payment options/information

Purchase

Please visit http://www.iobit.com/purchase.html*

For sales questions please contact sales@iobit.com**

Customer Care Center

Visit IObit Customer Care Center*.

* You must be connected to the Internet to access this link

** Please note that this e-mail address is for sales related questions only. Technical support questions sent to this address will not be answered.


Frequently Asked Questions (FAQs)

Please visit FAQ webpage in IObit website.

http://www.iobit.com/support.html


Contact

 Top Previous

Thank-you for contacting IObit! We appreciate your interest in our services. If you have any questions or problems, please do not hesitate to ask. On this page you can find all necessary information to contact us.

Technical Support:

support@iobit.com

Note that Beta and Personal Edition users are not entitled to email support.

Thank you for submitting your feedback. While we won't respond personally to your email, we review all of the suggestions we receive, and we appreciate your taking the time to send us yours. We'll keep it in mind for the future.

Sales Support:

Sales Care center

Press Support:

Please visit our Press center or write to us with

press@iobit.com

Partners Support:

Please visit our partner page or write to us

partner@iobit.com